package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.LaborProduction;
import com.lightinit.hsdatashow.entity.LaborProductionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface LaborProductionMapper {
    long countByExample(LaborProductionExample example);

    int deleteByExample(LaborProductionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(LaborProduction record);

    int insertSelective(LaborProduction record);

    List<LaborProduction> selectByExample(LaborProductionExample example);

    LaborProduction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") LaborProduction record, @Param("example") LaborProductionExample example);

    int updateByExample(@Param("record") LaborProduction record, @Param("example") LaborProductionExample example);

    int updateByPrimaryKeySelective(LaborProduction record);

    int updateByPrimaryKey(LaborProduction record);
}